NX二开ufun函数UF_MODL_ask_body_faces (获取体的边信息)

返回实体关联的面列表,这个函数使用频率较高,有实体的Tag,就能拿到相应的面信息

返回信息截图如下:

 1、函数结构:  

int UF_MODL_ask_body_faces (tag_t body,uf_list_p_t * face_list)

2、概述

调用UF_MODL_ask_body_faces,使用实体(类型70, 子类型0)作为输入,返回与该主体关联的面的列表。在 
此列表的操作可以通过使用UF_MODL__list来完成程序。

3、实例源码

using System;
using NXOpen;
using NXOpen.UF;

public class Program
{
    // class members
    public static Session theSession;
    public static NXOpen.UF.UFSession theUFSession;
    private static UI theUI = null;
    public static int Main(string[] args)
    {
        theSession = Session.GetSession();
        theUFSession = UFSession.GetUFSession();
        theUI = UI.GetUI();
        int retValue = 0;
        try
        {
            FeatureSigns sign = 0;
            double[] corner = new double[3] { 0.0, 0.0, 0.0 };
            string[] edgeLen = new string[3] { "100", "80", "50" };
            Tag blockTag = Tag.Null;
            theUFSession.Modl.CreateBlock1(sign, corner, edgeLen, out blockTag);

            Tag blockBodyTag = Tag.Null;
            theUFSession.Modl.AskFeatBody(blockTag, out blockBodyTag);

            Tag[] faceListTag;
            theUFSession.Modl.AskBodyFaces(blockBodyTag, out faceListTag);
        }
        catch (NXOpen.NXException ex)
        {
            theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString());
        }
        return retValue;
    }
}

  • 0
    点赞
  • 1
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

MarcoPro

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值